# wxRichTextListStyleDefinition Class Reference
[Rich Text]

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextListStyleDefinition:
[legend]

## Detailed Description

This class represents a list style definition, usually added to a wxRichTextStyleSheet.

The class inherits paragraph attributes from wxRichTextStyleParagraphDefinition, and adds 10 further attribute objects, one for each level of a list. When applying a list style to a paragraph, the list style's base and appropriate level attributes are merged with the paragraph's existing attributes.

You can apply a list style to one or more paragraphs using wxRichTextCtrl::SetListStyle. You can also use the functions wxRichTextCtrl::NumberList, wxRichTextCtrl::PromoteList and wxRichTextCtrl::ClearListStyle.

As usual, there are wxRichTextBuffer versions of these functions so that you can apply them directly to a buffer without requiring a control.

##

Library: wxRichText

Category: Rich Text

## Public Member Functions
| wxRichTextListStyleDefinition (const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxRichTextListStyleDefinition ()
| Destructor.
wxTextAttr | CombineWithParagraphStyle (int indent, const wxTextAttr &paraStyle, wxRichTextStyleSheet *styleSheet=NULL)
| This function combines the given paragraph style with the list style's base attributes and level style matching the given indent, returning the combined attributes.
int | FindLevelForIndent (int indent) const
| This function finds the level (from 0 to 9) whose indentation attribute mostly closely matches indent (expressed in tenths of a millimetre).
wxTextAttr | GetCombinedStyle (int indent, wxRichTextStyleSheet *styleSheet=NULL)
| This function combines the list style's base attributes and the level style matching the given indent, returning the combined attributes.
wxTextAttr | GetCombinedStyleLevel (int level, wxRichTextStyleSheet *styleSheet=NULL) const
| This function combines the list style's base attributes and the style for the specified level, returning the combined attributes.
const wxTextAttr * | GetLevelAttributes (int level) const
| Returns the style for the given level.
int | GetLevelCount () const
| Returns the number of levels.
bool | IsNumbered (int level) const
| Returns true if the given level has numbered list attributes.
void | SetLevelAttributes (int level, const wxTextAttr &attr)
| Sets the style for the given level.

List of all members.

## Constructor & Destructor Documentation

wxRichTextListStyleDefinition::wxRichTextListStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

virtual wxRichTextListStyleDefinition::~wxRichTextListStyleDefinition | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

wxTextAttr wxRichTextListStyleDefinition::CombineWithParagraphStyle | ( | int | indent,
|  | const wxTextAttr & | paraStyle,
|  | wxRichTextStyleSheet * | styleSheet = `NULL` |
| ) |  |  |

This function combines the given paragraph style with the list style's base attributes and level style matching the given indent, returning the combined attributes.

If styleSheet is specified, the base style for this definition will also be included in the result.

int wxRichTextListStyleDefinition::FindLevelForIndent | ( | int | indent | ) | const

This function finds the level (from 0 to 9) whose indentation attribute mostly closely matches indent (expressed in tenths of a millimetre).

wxTextAttr wxRichTextListStyleDefinition::GetCombinedStyle | ( | int | indent,
|  | wxRichTextStyleSheet * | styleSheet = `NULL` |
| ) |  |  |

This function combines the list style's base attributes and the level style matching the given indent, returning the combined attributes.

If styleSheet is specified, the base style for this definition will also be included in the result.

wxTextAttr wxRichTextListStyleDefinition::GetCombinedStyleLevel | ( | int | level,
|  | wxRichTextStyleSheet * | styleSheet = `NULL` |
| ) |  |  | const

This function combines the list style's base attributes and the style for the specified level, returning the combined attributes.

If styleSheet is specified, the base style for this definition will also be included in the result.

const wxTextAttr* wxRichTextListStyleDefinition::GetLevelAttributes | ( | int | level | ) | const

Returns the style for the given level.

level is a number between 0 and 9.

int wxRichTextListStyleDefinition::GetLevelCount | ( |  | ) | const

Returns the number of levels.

This is hard-wired to 10. Returns the style for the given level. level is a number between 0 and 9.

bool wxRichTextListStyleDefinition::IsNumbered | ( | int | level | ) | const

Returns true if the given level has numbered list attributes.

void wxRichTextListStyleDefinition::SetLevelAttributes | ( | int | level,
|  | const wxTextAttr & | attr |
| ) |  |  |

Sets the style for the given level.

level is a number between 0 and 9. The first and most flexible form uses a wxTextAttr object, while the second form is for convenient setting of the most commonly-used attributes.

|  | [ top ]